## s390-zfcp 1.0.2ubuntu1

=== Makefile ===
#
# Makefile to build the s390 FCP device configuration panels for the
# Debian Installer
#

CC := gcc
CFLAGS := -Wall -W -pipe -Os -I/usr/include/sysfs -D_GNU_SOURCE
LDFLAGS := -ldebconfclient -ldebian-installer

DEB_BUILD_OPTIONS=debug

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g -ggdb
STRIP = /bin/true
else
CFLAGS += -fomit-frame-pointer
STRIPTOOL=strip
STRIP = $(STRIPTOOL) --remove-section=.note --remove-section=.comment
endif

S390_DEV_LIB = s390-dev.o s390-dev-misc.o s390-dev-path.o
ZFCP_CONFIG = zfcp-config

all: $(ZFCP_CONFIG)

$(S390_DEV_LIB): s390-dev.h

zfcp-config: zfcp-config.o $(S390_DEV_LIB) s390-zfcp.o
	$(CC) -o $@ $^ $(LDFLAGS)
	$(STRIP) $@

clean:
	rm -f $(ZFCP_CONFIG) *.o

.PHONY: clean

=== debian/changelog ===
s390-zfcp (1.0.2ubuntu1) xenial; urgency=medium

  * Run update-dev, to trigger device addition and hence loading of the
    zfcp module. Previously this was only loaded after hw/disk-detect
    which is too late, as this package step is already done at that point.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Apr 2016 17:15:34 +0100

s390-zfcp (1.0.2) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * Split and improve dependency handling for disk detection and
    move the module before the disk-detect d-i module (Closes: #818592)

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Apr 2016 11:34:08 +0200

s390-zfcp (1.0.1) unstable; urgency=medium

  * Unmark strings for translation.

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Mar 2016 06:56:28 +0100

s390-zfcp (1.0.0) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * Initial release (Closes: #808041)

  [ Philipp Kern ]
  * Minor fixups for Debian policy compliance.

 -- Philipp Kern <pkern@debian.org>  Wed, 06 Jan 2016 11:36:46 +0100

=== debian/control ===
Source: s390-zfcp
Section: debian-installer
Priority: standard
Standards-Version: 3.9.6
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Hendrik Brueckner <brueckner@linux.vnet.ibm.com>, Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), libdebconfclient0-dev (>=0.47), libdebian-installer-dev
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/s390-zfcp.git
Vcs-Git: https://anonscm.debian.org/git/d-i/s390-zfcp.git

Package: s390-zfcp
Package-Type: udeb
Architecture: s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, scsi-modules, s390-sysconfig-writer
Provides: harddrive-detection-zfcp
XB-Installer-Menu-Item: 3400
Description: Activate and configure FCP devices for installation
 Configure FCP devices to install Debian on FC-attached SCSI devices
 available on Linux on z Systems.

## s390-zfcp 1.0.2ubuntu1.1

=== debian/changelog ===
s390-zfcp (1.0.2ubuntu1.1) xenial; urgency=medium

  [ Hendrik Brueckner ]
  * Improve displaying numereous detected FCP devices by replacing the
    hard-coded limit with a dynamically allocated solution LP: #1596968


 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 Dec 2016 14:03:20 +0000

## s390-zfcp 1.0.4

=== debian/changelog ===
s390-zfcp (1.0.4) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * Improve displaying numereous detected FCP devices by replacing the
    hard-coded limit with a dynamically allocated solution (Closes: #829562)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 Jul 2016 12:29:03 +0100

s390-zfcp (1.0.3) unstable; urgency=medium

  * Drop useless debian/po directory. Closes: #817206, #821173

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Apr 2016 09:01:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: debian-installer
 Priority: standard
 Standards-Version: 3.9.6
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Hendrik Brueckner <brueckner@linux.vnet.ibm.com>, Philipp Kern <pkern@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), libdebconfclient0-dev (>=0.47), libdebian-installer-dev
 Vcs-Browser: https://anonscm.debian.org/cgit/d-i/s390-zfcp.git

## s390-zfcp 1.0.4ubuntu1

=== debian/changelog ===
s390-zfcp (1.0.4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable LP: #1596968.  Remaining changes:
    - Run update-dev, to trigger device addition and hence loading of the
    zfcp module. Previously this was only loaded after hw/disk-detect
    which is too late, as this package step is already done at that point.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 Jul 2016 17:13:55 +0000

## s390-zfcp 1.0.5

=== debian/changelog ===
s390-zfcp (1.0.5) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Sep 2018 18:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Hendrik Brueckner <brueckner@linux.vnet.ibm.com>, Philipp Kern <pkern@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), libdebconfclient0-dev (>=0.47), libdebian-installer-dev
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/s390-zfcp.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/s390-zfcp.git
+Vcs-Browser: https://salsa.debian.org/installer-team/s390-zfcp
+Vcs-Git: https://salsa.debian.org/installer-team/s390-zfcp.git
 
 Package: s390-zfcp
 Package-Type: udeb

## s390-zfcp 1.0.6

=== debian/changelog ===
s390-zfcp (1.0.6) unstable; urgency=medium

  * Team upload

  [ Philipp Kern ]
  * Remove myself from uploaders.

 -- Philipp Kern <pkern@debian.org>  Sat, 05 Dec 2020 11:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Standards-Version: 3.9.6
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Hendrik Brueckner <brueckner@linux.vnet.ibm.com>, Philipp Kern <pkern@debian.org>
+Uploaders: Hendrik Brueckner <brueckner@linux.vnet.ibm.com>
 Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), libdebconfclient0-dev (>=0.47), libdebian-installer-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/s390-zfcp
 Vcs-Git: https://salsa.debian.org/installer-team/s390-zfcp.git

## s390-zfcp 1.0.7

=== debian/changelog ===
s390-zfcp (1.0.7) unstable; urgency=medium

  * Team upload.

  * Change paths, to make package usrmerge-compliant.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 27 Nov 2025 23:06:53 +0100
